{{- if .Values.prometheus_monitor }}
apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  name: consul
  labels: {{- include "common.labels.standard" . | nindent 4 }}
    gitlab.com/prometheus-instance: prometheus-system
spec:
  selector:
    matchLabels:
      app: consul
      component: ui
  endpoints:
    - port: http
      path: /v1/agent/metrics
  podTargetLabels:
    - stage
{{- end }}
